javax.websocket

## Interface Decoder.Text<T>

All Superinterfaces:
  Decoder

Enclosing interface:
  Decoder

    public static interface Decoder.Text<T>
    extends Decoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

### Method Summary

Methods
`T` `decode(java.lang.String s)`
`boolean` `willDecode(java.lang.String s)`

### Methods inherited from interface javax.websocket.Decoder

`destroy, init`

### Method Detail

#### decode

    T decode(java.lang.String s)
             throws DecodeException

Throws:
  `DecodeException`

#### willDecode

    boolean willDecode(java.lang.String s)